package com.njcn.service.user;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.njcn.pojo.commons.SimpleValue;
import com.njcn.pojo.user.Role;


public interface RoleService {
	// 增
	int insertRole(Role role);

	// 删
	int deleteRole(Role role);

	// 改
	int updateRole(Role role);

	// 查询Id
	Role selectRoleIndex(@Param(value = "roleIndex") String roleIndex);
	
	//根据角色名模糊查询所有
    List<Role> queryNameAll(@Param(value = "roleName") String roleName);
    
    //查询名字
	int selName(@Param(value = "roleName") String roleName);
	// 查
	List<Role> selectAll();
	
	/**
	 * 获取当前库中所有的角色信息
	 * @return
	 */
	List<List> getRoleList();

	/**
	 * 根据前台传递的参数新增角色
	 * @param roleName
	 * @param roleD
	 * @return
	 */
	String saveRole(String roleName, String roleD);

	String deleteRoleByIndex(String index);

	/**
	 * 获取分配角色的用户信息
	 * */
	List<List> getUserRole();

	/**
	 * 获取角色用于回显展示
	 * @param userIndex
	 * @return
	 */
	List<SimpleValue> getBackRole(String userIndex);

	String disRole(String userIndex, String roleIndex);

	/**
	 * 根据角色组索引获取所有角色
	 * @param roleGpIndex
	 * @return
	 */
	List<Role> selectByRoleGpIndex(String roleGpIndex);
	

	
}
